﻿using Syncfusion.UI.Xaml.Controls.Navigation;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Popups;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace SfMenuDemo1
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            //this.menu.Loaded += Menu_Loaded;

            //Parent menu
            SfMenuItem file = (this.menu.Items[0] as SfMenuItem);
            file.AccessKeyInvoked += File_AccessKeyInvoked;

            //Parent menu
            SfMenuItem edit = (this.menu.Items[1] as SfMenuItem);
            edit.AccessKeyInvoked += Edit_AccessKeyInvoked;

            //Submenu
            SfMenuItem cut = edit.Items[0] as SfMenuItem;
            cut.AccessKeyInvoked += Cut_AccessKeyInvoked;
        }

        private void Cut_AccessKeyInvoked(UIElement sender, AccessKeyInvokedEventArgs args)
        {
            //Write your own code here.
            MessageDialog dialog = new MessageDialog("Cut option selected");
            dialog.ShowAsync();
        }

        private void Edit_AccessKeyInvoked(UIElement sender, AccessKeyInvokedEventArgs args)
        {
            //only one submenu should be displayed at a time 
            (this.menu.Items[0] as SfMenuItem).IsSubMenuOpen = false;

            (this.menu.Items[1] as SfMenuItem).IsSubMenuOpen = true;
        }

        private void File_AccessKeyInvoked(UIElement sender, AccessKeyInvokedEventArgs args)
        {
            //only one submenu should be displayed at a time 
            (this.menu.Items[1] as SfMenuItem).IsSubMenuOpen = false;

            (this.menu.Items[0] as SfMenuItem).IsSubMenuOpen = true;
        }

        private void Menu_Loaded(object sender, RoutedEventArgs e)
        {
            (this.menu.Items[0] as SfMenuItem).IsSubMenuOpen = true;                  
        }
    }
}
